> For the complete documentation index, see [llms.txt](https://docs.graphite-note.com/graphite-note-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api/complete.md).

# Complete

### Description

The /dataset-complete endpoint is designed to signal the end of the dataset insertion process. Once all batches have been inserted via the /dataset-fill endpoint, this method should be called to trigger the final dataset shape calculation and any other necessary post-processing steps.

```python
complete_url = "https://app.graphite-note.com/api/dataset-complete"
```

### Parameters

* user-code (string): Unique code identifying the user.
* dataset-code (string): A unique code for the dataset, if pre-defined.

### **Indicate end of dataset insertion**

To populate a dataset, follow these steps:

1. Make a POST request to `/dataset-complete` with the required parameters in the request body.
2. Include the `user-code` and `dataset-code` to identify the dataset and the user making the request.

### **Example Usage**

For example, making a POST with following header included into request with the provided JSON body would result in the response below:

**Header**

```
POST /dataset-complete
Authorization: Bearer YOUR-TENANT-TOKEN
```

**Request**

```json
{ 
"user-code": "0f02b4d4f9ae", 
"dataset-code": " a49932c0f135"
 }

```

**Response**

```json
{
    "data": {
        "status": "success",
        "details": {
            "dataset-code": "a49932c0f135",
            "rows-count": 542289
        }
    }
}


```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api/complete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
